Set User Score
Set or update user score for the game
POST
/launcher/set-user-score
Set or update user score for the game
Header Parameters
X-Request-Nonce
string
optional
header
Random string identifier for request (for signature verification)
X-Request-Signature
string
optional
header
MD5 hash for request verification
Request Body required
application/jsonlauncherJwt
string
REQUIRED
nonce
string
Random ID that can be used to query the score later
score
integer
REQUIRED
Responses
200
Successful response
application/jsonsuccess
boolean
newScore
object
_id
string
nonce
string
gameId
string
normalizedAddress
string
score
integer
updatedAt
integer (int64)
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.basement.fun/launcher/set-user-score' \
-H 'Content-Type: application/json' \
-d '{
"launcherJwt": "string",
"nonce": "string",
"score": 0
}'
const response = await fetch('https://api.basement.fun/launcher/set-user-score', {
method: 'POST',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"launcherJwt": "string",
"nonce": "string",
"score": 0
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://api.basement.fun/launcher/set-user-score', json={
"launcherJwt": "string",
"nonce": "string",
"score": 0
})
print(response.json())
200
Response
{
"success": true,
"newScore": {
"_id": "<string>",
"nonce": "<string>",
"gameId": "<string>",
"normalizedAddress": "<string>",
"score": 123,
"updatedAt": 123
}
}
POST
/launcher/set-user-score